{{title='Component Check'}}
{{icon='check'}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/checkArchitectureCss.css')}}">
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/nextButtonCss.css')}}">
    {{extend 'selectUseCaseLayout.html'}}
</head>
<body>
    {{componentCheck = True}}
    <div class="informationTextBoxDiv">
        <div class="informationIconDescription">
            <span class="informationBoxIcon icon-02-Explanation_Select"></span><span class="informationBoxDescription">Selection</span>
        </div>
        <div class="informationTextBox">
            <span class="informationText">For the economic evaluation of 5G applications, new network infrastracture might be necessary. On this page, you can <strong>select the components</strong> you <strong>already possess</strong> and later on during data entrance, provide additional information about the cost of missing components so that the necessary investment can be considered in the economic evaluation.</span>
        </div>
    </div>
    <div class="formTopic">
    </div>
    <div id = "toMain">
        {{=form.custom.begin}}
        <div class="formInputs">
            <div>1. <span id="t_statusquo_f_ncs_label" style="font-weight: bold;">{{=form.custom.label.f_ncs}}</span></div>
            <div>{{=form.custom.widget.f_actuator}}<span id="t_statusquo_f_actuator_label">{{=form.custom.label.f_actuator}}</span></div>
            <div>{{=form.custom.widget.f_controller}}<span id="t_statusquo_f_controller_label">{{=form.custom.label.f_controller}}</span></div>
            <div style="margin: 0 0 20px 0;">{{=form.custom.widget.f_sensor}}<span id="t_statusquo_f_sensor_label">{{=form.custom.label.f_sensor}}</span></div>
            <div>2. <span id="t_statusquo_f_netarchitecture_label" style="font-weight: bold;">{{=form.custom.label.f_netarchitecture}}</span></div>
            <div>{{=form.custom.widget.f_basestation}}<span id="t_statusquo_f_basestation_label">{{=form.custom.label.f_basestation}}</span></div>
            <div>{{=form.custom.widget.f_core}}<span id="t_statusquo_f_core_label">{{=form.custom.label.f_core}}</span></div>
            <div>{{=form.custom.widget.f_userequipment}}<span id="t_statusquo_f_userequipment_label">{{=form.custom.label.f_userequipment}}</span></div>
            <div>{{=form.custom.widget.f_controlnet}}<span id="t_statusquo_f_controlnet_label">{{=form.custom.label.f_controlnet}}</span></div>
            <div>{{=form.custom.widget.f_datanet}}<span id="t_statusquo_f_datanet_label">{{=form.custom.label.f_datanet}}</span></div>
            <div>{{=form.custom.widget.f_userplane}}<span id="t_statusquo_f_userplane_label">{{=form.custom.label.f_userplane}}</span></div>
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    </div>
    <script>
        var ncs = document.getElementById("t_statusquo_f_ncs");
        ncs.addEventListener("click", toggleNCS);
        var netarch = document.getElementById("t_statusquo_f_netarchitecture");
        netarch.addEventListener("click", toggleNETARCH);
        const ncsList = ["t_statusquo_f_actuator__row", "t_statusquo_f_controller__row", "t_statusquo_f_sensor__row"];
        const netarchList = ["t_statusquo_f_basestation__row", "t_statusquo_f_core__row", "t_statusquo_f_userequipment__row", "t_statusquo_f_controlnet__row", "t_statusquo_f_datanet__row","t_statusquo_f_userplane__row"];
        /*for (let x in ncsList){
            field = document.getElementById(ncsList[x]);
            field.style.display = "none";
        }
        for (let x in netarchList){
            field = document.getElementById(netarchList[x]);
            field.style.display = "none";
        } 
        
        function toggleNCS(){
            if (ncs.checked == true){
                for (let x in ncsList){
                    field = document.getElementById(ncsList[x]);
                    field.style.display = "block";
                }
            } else {
                for (let x in ncsList){
                    field = document.getElementById(ncsList[x]);
                    field.style.display = "none";
                } 
            }
        }
        function toggleNETARCH(){
            if (netarch.checked == true){
                for (let x in netarchList){
                    field = document.getElementById(netarchList[x]);
                    field.style.display = "block";
                }
            } else {
                for (let x in netarchList){
                    field = document.getElementById(netarchList[x]);
                    field.style.display = "none";
                } 
            }
        }*/
    </script>
</body>
